#include <QString>

#include "sim.h"
#include "achievemententry.h"

AchievementEntry::AchievementEntry (QString message, Sim *r1, Sim *r2)  {
  setText (message);
  refOne = r1;
  refTwo = r2;

  setMaximumSize (sizeHint ());
}

bool AchievementEntry::isReference (Sim *s)  {
  return refOne == s || refTwo == s;
}

int AchievementEntry::getFirstSimNum (QList< QPointer<Sim> > list)  {
  if (!refOne) return -1;

  for (int x = 0; x < list.size (); x++)
    if (refOne == list[x])
      return x;

  return -1;
}

int AchievementEntry::getSecondSimNum (QList< QPointer<Sim> > list)  {
  if (!refTwo) return -1;

  for (int x = 0; x < list.size (); x++)
    if (refTwo == list[x])
      return x;

  return -1;
}
