#ifndef EDITHOUSEHOLDDIALOG_H
#define EDITHOUSEHOLDDIALOG_H

#include <QDialog>

class QString;
class QLineEdit;
class QPushButton;
class QVBoxLayout;

class EditHouseholdDialog : public QDialog  {
  Q_OBJECT

  public:
    EditHouseholdDialog (QString);
    void changeName (QString);

  signals:
    void replaceName (QString, QString);

  private slots:
    void setNameReplacement ();

  private:
    QString name;

    QLineEdit *nameEdit;
    QPushButton *okButton;
    QVBoxLayout *mainLayout;
};

#endif
