#ifndef IMPORTSIMSPAGE_H
#define IMPORTSIMSPAGE_H

#include <QWidget>
#include <QList>

class QStringList;
class QString;
class QVBoxLayout;
class ImportSimDisplay;

class ImportSimsPage : public QWidget  {
  Q_OBJECT

  public:
    ImportSimsPage ();

    void setType (int);
    void setNumber (int);
    void setData (QList<QStringList>);
    void setEPFlags (int);

    int getType ();
    int getNumber ();
    QString getTitle ();

    bool isChecked (int);
    int getParaFlags (int);
    QString getHouseholdName (int);
    int getAlignment (int);

  private:
    int type;
    int pageNumber;
    int epFlags;

    QList<ImportSimDisplay*> simDisplay;

    QVBoxLayout *mainLayout;
};

#endif
