#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

class QCloseEvent;

#include "simsheet.h"

class MainWindow : public QMainWindow {
  Q_OBJECT

  public:
    MainWindow ();

    void setSimModel (QStandardItemModel*);
    void setHouseholdModel (QStandardItemModel*);
    void setFamilyModel (QStandardItemModel*);

  protected:
    void closeEvent (QCloseEvent*);

  private:
    SimSheet *simSheet;
};

#endif
