#ifndef ADDNOTESDIALOG_H
#define ADDNOTESDIALOG_H

#include <QDialog>

class QTextEdit;
class QPushButton;
class QVBoxLayout;

class AddNotesDialog : public QDialog  {
  Q_OBJECT

  public:
    AddNotesDialog (QString, int);

  signals:
    void saveNotes (QString, int);

  private slots:
    void prepareNotes ();

  private:
    QTextEdit *display;
    QPushButton *saveButton;

    QVBoxLayout *mainLayout;

    int simNum;
};

#endif
