#include <QMessageBox>
#include <QStandardItemModel>
#include <QCloseEvent>

#include <iostream>
using namespace std;

#include "mainwindow.h"

MainWindow::MainWindow ()  {
  simSheet = new SimSheet (this);
  setCentralWidget (simSheet);
}

void MainWindow::setSimModel (QStandardItemModel *model)  {
  simSheet->setSimModel (model);
}

void MainWindow::setHouseholdModel (QStandardItemModel *model)  {
  simSheet->setHouseholdModel (model);
}

void MainWindow::setFamilyModel (QStandardItemModel *model)  {
  simSheet->setFamilyModel (model);
}

void MainWindow::closeEvent (QCloseEvent *event)  {
  simSheet->saveSettings ();
  event->accept ();
}
