#ifndef SIMPROXYMODEL_H
#define SIMPROXYMODEL_H

#include <QSortFilterProxyModel>
#include <QPointer>

class QObject;
class QModelIndex;
class Sim;

class SimProxyModel : public QSortFilterProxyModel  {
  Q_OBJECT

  public:
    SimProxyModel (QObject* = NULL);
    void setSourceModel (QAbstractItemModel *model);

  protected:
    bool lessThan (const QModelIndex&, const QModelIndex&) const;
};

#endif
